--AH:ScriptId=084d528f-3cbd-44e7-a126-edf1bf9ec7c5;2998
ALTER TABLE [DatabaseChangeScripts]
	ADD [Script_Guid] UNIQUEIDENTIFIER NULL
GO

UPDATE [DatabaseChangeScripts]
   SET [Script_Guid] = NEWID()

ALTER TABLE [DatabaseChangeScripts]
	DROP CONSTRAINT [UQ__DatabaseChangeScripts__Application_Name]
GO

ALTER TABLE [DatabaseChangeScripts]
	ALTER COLUMN [Script_Guid] UNIQUEIDENTIFIER NOT NULL

ALTER TABLE [DatabaseChangeScripts]
	ALTER COLUMN [Script_Name] NVARCHAR(250) NOT NULL
GO

ALTER TABLE [DatabaseChangeScripts]
	ADD CONSTRAINT [UQ__DatabaseChangeScripts__Application___Release__Name]
		UNIQUE ([Application_Id], [Release_Number], [Deployable_Id], [Script_Name])

ALTER TABLE [DatabaseChangeScripts]
	ADD CONSTRAINT [UQ__DatabaseChangeScripts__Script_Guid]
		UNIQUE ([Script_Guid])
