--AH:ScriptId=a52c8c5e-4586-447d-b845-13de0396cfd9;3002

CREATE TABLE [Pipelines]
(
    [Pipeline_Id] INT IDENTITY(1,1) NOT NULL,
    [Pipeline_Name] VARCHAR(50) NOT NULL,
    [Pipeline_Configuration] XML NOT NULL,
    [Active_Indicator] YNINDICATOR NOT NULL,
    [Application_Id] INT NULL,
    [ModifiedOn_Date] DATETIME NOT NULL,
    [ModifiedBy_User_Name] USERNAME NOT NULL,
    [MigratedFrom_Workflow_Id] INT NULL,
    [Pipeline_Color] VARCHAR(20) NULL,

    CONSTRAINT [PK__Pipelines] PRIMARY KEY ([Pipeline_Id]),
    CONSTRAINT [UQ__Pipelines__Pipeline_Name] UNIQUE ([Pipeline_Name], [Application_Id]),
    CONSTRAINT [FK__Pipelines__Applications] 
               FOREIGN KEY ([Application_Id]) 
               REFERENCES [Applications] ([Application_Id])
               ON DELETE CASCADE
)