IF OBJECT_ID('[ManualExecutions_Extended]') IS NOT NULL DROP VIEW [ManualExecutions_Extended]
GO

CREATE VIEW [ManualExecutions_Extended]
AS
SELECT ME.[Execution_Id],
	   ME.[ExecutionType_Name],
	   ME.[Execution_Configuration],
	   X.[Start_Date],
	   X.[End_Date],
	   X.[CreatedBy_User_Name],
	   X.[CreatedOn_Date],
	   X.[ExecutionStatus_Code],
	   X.[ExecutionRunState_Code]

  FROM [ManualExecutions] ME
       INNER JOIN [Executions] X
	           ON X.[Execution_Id] = ME.[Execution_Id]
