EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'VariableValueRenderers_DeleteVariableValueRenderer',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified variable value renderer.'
GO

IF OBJECT_ID('[VariableValueRenderers_DeleteVariableValueRenderer]') IS NOT NULL DROP PROCEDURE [VariableValueRenderers_DeleteVariableValueRenderer]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VariableValueRenderers_DeleteVariableValueRenderer]
(
	@VariableValueRenderer_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [VariableValueRenderers]
	WHERE [VariableValueRenderer_Id] = @VariableValueRenderer_Id

END
GO

GRANT EXECUTE ON [VariableValueRenderers_DeleteVariableValueRenderer] TO [BuildMasterUser_Role]
